Zeitgeist.RemoteMonitor – zeitgeist-2.0 Reference Manual

# RemoteMonitor

## Object Hierarchy:

## Description:

protected interface RemoteMonitor : `Object`
All known implementing classes:

- Monitor

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Methods:

- public abstract async void notify_insert (`Variant` time_range, `Variant` events) throws `Error`
- public abstract async void notify_delete (`Variant` time_range, `uint32`[] event_ids) throws `IOError`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count